Bug 507134 - [enh] communicate system connection failures better
[enh] communicate system connection failures better
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
12
All Linux
high Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 513462
  Show dependency treegraph
 
Reported: 2009-06-21 04:06 EDT by Christian Nolte
Modified: 2010-12-05 01:49 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:49:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Interesting part of ./xsession-errors (15.15 KB, text/plain)
2009-11-11 13:39 EST, Martin-Gomez Pablo
no flags Details
Output of tail -f /var/log/messages (5.72 KB, text/plain)
2009-11-11 13:40 EST, Martin-Gomez Pablo
no flags Details
Output of tail -f /var/log/messages (10.65 KB, text/plain)
2009-12-08 17:02 EST, Martin-Gomez Pablo
no flags Details

  None (edit)
Description Christian Nolte 2009-06-21 04:06:48 EDT
I have configured a WLAN-profile, which I have enabled for all users via NetworkManager. To this point everything works fine. After a reboot, NM does not automatically connect to the configured profile. A manual connection is not possible, because the "Connect"-Button is greyed out (this connection is has a hidden SSID). 

  ifup MyConnection

does not work for me too. It always says that there is no configuration file 'ifcfg-ifcfg-MyConnection'.

Furthermore, if the connection is simply renamed, the scripts in /etc/sysconfig/network-scripts are not getting renamed. The workaround is, that the checkbox (make connection available for all users) is deactivated, then saved, then again activated and saved again.
Comment 1 Martin-Gomez Pablo 2009-11-08 06:46:59 EST
I get exactly the same bug with a F11 and a F12. However, I can select the connection in the applet, but NM didn't react.
Comment 2 Dan Williams 2009-11-11 12:57:21 EST
Can somebody attach both their ~/.xsession-errors file and their /var/log/messages from the time this problem occurred so I can figure out whats going on?  Thanks!
Comment 3 Martin-Gomez Pablo 2009-11-11 13:39:40 EST
Created attachment 369086 [details]
Interesting part of ./xsession-errors
Comment 4 Martin-Gomez Pablo 2009-11-11 13:40:19 EST
Created attachment 369087 [details]
Output of tail -f /var/log/messages
Comment 5 Martin-Gomez Pablo 2009-11-11 13:59:09 EST
Here you have the logs. To resume NM seems to do an infinite loops after :
<info>  (wlan0): device state change: 4 -> 5 (reason 0)

My network is protected by WPA2. But I get the same error without it.
Comment 6 Dan Williams 2009-11-12 01:32:07 EST
It'll try 4 times to connect if it doesn't get any secrets or if the connection fails, then mark the connection as invalid so that it doesn't get into an infinite loop of continually retrying.

However, this could be a problem with system-settings not returning secrets correctly.
Comment 7 Martin-Gomez Pablo 2009-11-16 16:39:44 EST
Quite strange, it seems to be fix on a Fedora 12 gold. A fix has been applied somewhere ?
Comment 8 Dan Williams 2009-11-17 03:55:44 EST
There have been a few fixes for F12 in this area, yes.   But the issue may still be present on Fedora 11.  What do you get for:

ls -al /etc/sysconfig/network-scripts/keys-*

I'd like to see on the the Fedora 11 install whether the keys got written out successfully.

If you don't have Fedora 11 installed anymore, then I guess we can close the issue as we wont' be able to debug further.
Comment 9 Martin-Gomez Pablo 2009-11-25 15:38:39 EST
Huh, it just "seems", quite more like an illusion, because I have the bug again (without touching anything neither update or restart)

So for the output, here you have :
-rw-------. 1 root root 20 nov.  16 22:56 /etc/sysconfig/network-scripts/keys-linksys
Comment 11 Martin-Gomez Pablo 2009-11-29 08:13:31 EST
Yes, I still having the issue on F12. I will try to build NM from git in order to verify if it fix the issue.
Comment 12 Martin-Gomez Pablo 2009-11-29 11:12:50 EST
Huh, so there are a good news and a bad news. 
The good is that with the NM build from master (I modify the Fedora rpm), the connection "available for all users" is able to connect to the wifi network. The bad is that the connection is taking a lot of time: more than 2 minutes for the "default" connection and NM timeout for the connection "available for all users"! So, no change at the end...
Comment 13 Martin-Gomez Pablo 2009-12-08 17:00:33 EST
So with NM-7.997 and wpa_supplicant-0.6.8-7, I still can't connect to a protected "available for all users" connection. But some changes, if I desactivate the protection, it works ! And the log in /var/log/messages is quite different now than the previous one.
Comment 14 Martin-Gomez Pablo 2009-12-08 17:02:17 EST
Created attachment 377026 [details]
Output of tail -f /var/log/messages
Comment 15 Dan Williams 2009-12-08 22:07:08 EST
(In reply to comment #14)
> Created an attachment (id=377026) [details]
> Output of tail -f /var/log/messages  

That appears to indicate that the PSK is incorrect; this could be because it is incorrect, or becuase NetworkManager is reading it incorrectly from teh system configuration files.  What is the contents of your /etc/NetworkManager/nm-system-settings.conf file?
Comment 16 Martin-Gomez Pablo 2009-12-10 15:40:02 EST
>this could be because it is incorrect
Huh, good catch ! But it's quite strange that NM doesn't prompt a dialog box in order to type the right password as a fallback.

The content of /etc/NetworkManager/nm-system-settings.conf :
[main]
plugins=ifcfg-rh
Comment 17 Dan Williams 2009-12-10 17:11:06 EST
System connections cannot depend on UI because they must be available before login and at system boot time.  If NM was trying to bring up the connection before login, there's no way it could possibly bring up UI anyway :)

What NM could do is be better about communicating errors like this to the user so that you can go fix the problem, even if NM doesn't ask you for a password.
Comment 18 Bug Zapper 2010-11-04 07:03:24 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 19 Bug Zapper 2010-12-05 01:49:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.